### Method

# Gimp Image import_paths_from_file

since: 2.4

#### Declaration [src]

    gboolean
    gimp_image_import_paths_from_file (
      GimpImage* image,
      GFile* file,
      gboolean merge,
      gboolean scale,
      GimpPath*** paths
    )

#### Description [src]

Import paths from an SVG file.

This procedure imports paths from an SVG file. SVG elements other than paths and basic shapes are ignored.

Available since: 2.4

#### Parameters

`file`

  Type: `GFile`

  The SVG file to import.

  The data is owned by the caller of the method.

`merge`

  Type: `gboolean`

  Merge paths into a single path object.

`scale`

  Type: `gboolean`

  Scale the SVG to image dimensions.

`paths`

  Type: An array of `GimpPath*`

  The list of newly created paths.

  The argument will be set by the function.
  The array must be `NULL`-terminated.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

#### Return value

Type: `gboolean`

TRUE on success.